package com.ruoyi.project.cui.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.cui.domain.TPipe;

/**
 * 管线清单Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface TPipeMapper 
{
    /**
     * 查询管线清单
     * 
     * @param id 管线清单ID
     * @return 管线清单
     */
    public TPipe selectTPipeById(Long id);

    /**
     * 查询管线清单列表
     * 
     * @param tPipe 管线清单
     * @return 管线清单集合
     */
    @DataScope(deptAlias = "d")
    public List<TPipe> selectTPipeList(TPipe tPipe);

    /**
     * 定时任务查询管线清单列表
     *
     * @param tPipe 管线清单
     * @return 管线清单集合
     */
    public List<TPipe> selectList(TPipe tPipe);

    /**
     * 新增管线清单
     * 
     * @param tPipe 管线清单
     * @return 结果
     */
    public int insertTPipe(TPipe tPipe);

    /**
     * 修改管线清单
     * 
     * @param tPipe 管线清单
     * @return 结果
     */
    public int updateTPipe(TPipe tPipe);

    /**
     * 删除管线清单
     * 
     * @param id 管线清单ID
     * @return 结果
     */
    public int deleteTPipeById(Long id);

    /**
     * 批量删除管线清单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPipeByIds(Long[] ids);

    List<DataEntity> selectRiskData(Map param);

    List<DataEntity> selectStatusData(Map param);
}
